List MMS templates

GET https://mmsc.tsgglobal.world/mms/templates

Returns all the templates for the account.

Example response

{
  "data": [
    {
      "attributes": {
        "name": "visit-thank-you",
        "parts": [
          {
            "metadata": {},
            "uri": "https://content-mms.staging.smshub.world/templates/491aa990-1fbb-4058-8af0-c78049010d2f/attachments/1-brochure.txt",
            "headers": {},
            "content_type": "text/plain",
            "content_location": "brochure.txt"
          },
          {
            "metadata": {},
            "uri": "https://content-mms.staging.smshub.world/templates/491aa990-1fbb-4058-8af0-c78049010d2f/attachments/2-unnamed-1.png",
            "headers": {},
            "content_type": "image/png",
            "content_location": "unnamed-1.png"
          }
        ],
        "inserted_at": "2026-03-20T19:53:02.165449",
        "updated_at": "2026-03-20T19:53:02.165449",
        "placeholders": [
          "name",
          "company"
        ],
        "body_template": "Dear {name}, welcome to {company}.",
        "subject_template": "Hello {name}"
      },
      "id": "491aa990-1fbb-4058-8af0-c78049010d2f",
      "type": "mms-template"
    },
    {
      "attributes": {
        "name": "visit-thank-you",
        "parts": [
          {
            "metadata": {},
            "uri": "https://content-mms.staging.smshub.world/185f821e-aac8-4296-88f4-035f155087f5/templates/1-brochure.txt",
            "headers": {},
            "content_type": "text/plain",
            "content_location": "brochure.txt"
          },
          {
            "metadata": {},
            "uri": "https://content-mms.staging.smshub.world/185f821e-aac8-4296-88f4-035f155087f5/templates/2-unnamed-1.png",
            "headers": {},
            "content_type": "image/png",
            "content_location": "unnamed-1.png"
          }
        ],
        "inserted_at": "2026-03-20T17:08:33.315490",
        "updated_at": "2026-03-20T17:08:33.315490",
        "placeholders": [
          "name",
          "company"
        ],
        "body_template": "Dear {name}, welcome to {company}.",
        "subject_template": "Hello {name}"
      },
      "id": "185f821e-aac8-4296-88f4-035f155087f5",
      "type": "mms-template"
    },
    {
      "attributes": {
        "name": "visit-thank-you",
        "parts": [
          {
            "metadata": {},
            "uri": "https://content-mms.staging.smshub.world/0a4cfbcc-533f-4a87-aed7-e49bdfc20025/templates/1-brochure.txt",
            "headers": {},
            "content_type": "text/plain",
            "content_location": "brochure.txt"
          }
        ],
        "inserted_at": "2026-03-20T16:53:12.572326",
        "updated_at": "2026-03-20T16:53:12.572326",
        "placeholders": [
          "name",
          "company"
        ],
        "body_template": "Dear {name}, welcome to {company}.",
        "subject_template": "Hello {name}"
      },
      "id": "0a4cfbcc-533f-4a87-aed7-e49bdfc20025",
      "type": "mms-template"
    }
  ]
}

Last updated

Was this helpful?